package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Weapon;

// TODO: UPDATE IMPLEMENTATION
public class Goblin extends Enemy{
    private static final int Max_hp = 6 ;
    private static final int Max_mp = 18 ;
    public Goblin(int hp, int mp, Weapon weapon) {
        super(Max_hp, Max_mp, weapon);
    }

    @Override
    public void defend() {

    }

    @Override
    public void heal(int health) {

    }

    @Override
    public void fillMana(int mana) {

    }

    @Override
    public int getMaxHP() {
        return 0;
    }

    @Override
    public int getMaxMP() {
        return 0;
    }

    @Override
    public boolean ISLive() {
        return false;
    }

    public void attack (Entity target)
    {

        int damage = getWeapon().getDamage();
        System.out.println("Skeleton use ----");
        target.takeDamage(damage);
    }

    @Override
    public void check_hp() {

    }

    @Override
    public void defend(Entity me, int damage) {

    }
    @Override
    public String getName()
    {
        return "Gobblin " ;
    }


    // TODO: DESIGN ENEMY AND IMPLEMENT THE CONSTRUCTOR
}
